Create an avatar from multiple file sources. Returns an avatar_id for tracking purposes via GET /v3/avatars/looks/ . Also returns an avatar_group_id for tracking purposes via GET /v3/avatars/ . Files can be provided as asset_id (from POST /v3/assets), HTTPS URL, or base64-encoded content. Supported types: image (png, jpeg), video (mp4, webm), audio (mp3, wav), and pdf.
HeyGen API key. Obtain from your HeyGen dashboard.
Discriminated union for POST /v3/avatars request body.
Must be 'prompt' for AI-generated avatars.
"prompt"Name of the avatar.
Prompt for avatar generation.
200Reference images you want to be included in the avatar. Max 3. Will only work with an avatar_group_id.
3Asset input via publicly accessible HTTPS URL.
Optional identity you would like to attach the prompted avatar to. By default it will create a new identity.
Successful response